Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 505968 - >=dev-java/swt-4.3 version bump
Summary: >=dev-java/swt-4.3 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on: 620404
Blocks: 521308 350662
  Show dependency tree
 
Reported: 2014-03-27 13:23 UTC by Fabian Köster
Modified: 2019-01-23 15:41 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
an ebuild I hacked together (swt-4.3.ebuild,4.86 KB, text/plain)
2014-05-28 04:20 UTC, Andrew Herr
Details
updated patchset (swt-4.3-as-needed-and-flag-fixes.patch,7.67 KB, patch)
2014-05-28 04:21 UTC, Andrew Herr
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Köster 2014-03-27 13:23:55 UTC
Please provide an updated ebuild for dev-java/swt-4.3 which has been release in June 2013.

Reproducible: Always
Comment 1 Andrew Herr 2014-05-28 04:20:15 UTC
Created attachment 377740 [details]
an ebuild I hacked together

My first ebuild, but I got it to build and vuze to run using it
Comment 2 Andrew Herr 2014-05-28 04:21:11 UTC
Created attachment 377742 [details, diff]
updated patchset

needed to replace a line to make it work
Comment 3 Andrew Herr 2014-05-28 04:22:07 UTC
I copied the ebuilds and files out of the official tree and edited some things to make it build.
Comment 4 Pacho Ramos gentoo-dev 2016-01-27 10:12:03 UTC
Current versions look to be 4.5, also, it looks like that version finally supports webkitgtk4 that is needed to prevent the usage of older slots that have security vulnerabilities
Comment 5 Pacho Ramos gentoo-dev 2017-01-21 12:15:38 UTC
This is a bit urgent... the obsolete webkit-gtk version current versions are needing are vulnerable to many security holes
Comment 6 Pacho Ramos gentoo-dev 2017-02-08 09:55:50 UTC
is anyone willing to proxy maintain this?
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 7 James Le Cuirot gentoo-dev 2017-02-08 10:00:35 UTC
The problem is less the package itself and more the revdeps. I know it's important but I just haven't had a chance to deal with this yet.
Comment 8 Yury German Gentoo Infrastructure gentoo-dev 2017-05-26 23:31:37 UTC
Any news on this? We need to drop the net-libs/webkit vulnerable versions
Comment 9 Pacho Ramos gentoo-dev 2017-06-02 07:40:45 UTC
the only reverse dep relying on optional webkit support for SWT is vuze... with that one maybe bug 620404 could help on using a newer swt. For the other slots we should be able to kill its optional support though :/
Comment 11 Pacho Ramos gentoo-dev 2018-02-13 13:45:37 UTC
ah, this was for the bump... ok, but the webkit-gtk issue was finally solved :)
Comment 12 Larry the Git Cow gentoo-dev 2019-01-23 15:41:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=246c51a12fe5d8ae5a7a37b0ca906f36500954ae

commit 246c51a12fe5d8ae5a7a37b0ca906f36500954ae
Author:     Valérian Rousset <tharvik@users.noreply.github.com>
AuthorDate: 2019-01-07 22:24:35 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2019-01-23 15:40:33 +0000

    dev-java/swt: bump
    
    Closes: https://bugs.gentoo.org/505968
    Tested-by: Valérian Rousset <tharvik@users.noreply.github.com>
    Signed-off-by: Valérian Rousset <tharvik@users.noreply.github.com>
    Package-Manager: Portage-2.3.51, Repoman-2.3.12
    Closes: https://github.com/gentoo/gentoo/pull/10771
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/swt/Manifest                              |   2 +
 .../files/swt-4.10-as-needed-and-flag-fixes.patch  |  82 ++++++++++
 dev-java/swt/files/swt-4.10-manifest               |  16 ++
 dev-java/swt/swt-4.10.ebuild                       | 167 +++++++++++++++++++++
 4 files changed, 267 insertions(+)